Loading...
Searching...
No Matches
irr::scene::IParticleBoxEmitter Class Referenceabstract

A particle emitter which emits particles from a box shaped space. More...

`#include <IParticleBoxEmitter.h>`

Inheritance diagram for irr::scene::IParticleBoxEmitter:

## Public Member Functions

virtual const core::aabbox3df & | getBox () const =0
| Get the box shape set.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setBox (const core::aabbox3df &box)=0
| Set the box shape.
Public Member Functions inherited from irr::scene::IParticleEmitter
virtual s32 | emitt (u32 now, u32 timeSinceLastCall, SParticle *&outArray)=0
| Prepares an array with new particles to emitt into the system.
virtual const core::vector3df & | getDirection () const =0
| Get direction the emitter emits particles.
virtual s32 | getMaxAngleDegrees () const =0
| Get maximal random derivation from the direction.
virtual u32 | getMaxLifeTime () const =0
| Get the maximum particle life-time in milliseconds.
virtual u32 | getMaxParticlesPerSecond () const =0
| Get the maximum number of particles the emitter emits per second.
virtual const video::SColor & | getMaxStartColor () const =0
| Get the maximum starting color for particles.
virtual const core::dimension2df & | getMaxStartSize () const =0
| Get the maximum starting size for particles.
virtual u32 | getMinLifeTime () const =0
| Get the minimum particle life-time in milliseconds.
virtual u32 | getMinParticlesPerSecond () const =0
| Get the minimum number of particles the emitter emits per second.
virtual const video::SColor & | getMinStartColor () const =0
| Get the minimum starting color for particles.
virtual const core::dimension2df & | getMinStartSize () const =0
| Get the minimum starting size for particles.
virtual void | setDirection (const core::vector3df &newDirection)=0
| Set direction the emitter emits particles.
virtual void | setMaxAngleDegrees (s32 maxAngleDegrees)=0
| Set maximal random derivation from the direction.
virtual void | setMaxLifeTime (u32 lifeTimeMax)=0
| Set the maximum particle life-time in milliseconds.
virtual void | setMaxParticlesPerSecond (u32 maxPPS)=0
| Set maximum number of particles the emitter emits per second.
virtual void | setMaxStartColor (const video::SColor &color)=0
| Set maximum starting color for particles.
virtual void | setMaxStartSize (const core::dimension2df &size)=0
| Set the maximum starting size for particles.
virtual void | setMinLifeTime (u32 lifeTimeMin)=0
| Set the minimum particle life-time in milliseconds.
virtual void | setMinParticlesPerSecond (u32 minPPS)=0
| Set minimum number of particles the emitter emits per second.
virtual void | setMinStartColor (const video::SColor &color)=0
| Set minimum starting color for particles.
virtual void | setMinStartSize (const core::dimension2df &size)=0
| Set the minimum starting size for particles.
Public Member Functions inherited from irr::io::IAttributeExchangingObject
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

A particle emitter which emits particles from a box shaped space.

Definition at line 17 of file IParticleBoxEmitter.h.

## Member Function Documentation

## getBox()

virtual const core::aabbox3df & irr::scene::IParticleBoxEmitter::getBox | ( |  | ) | const

pure virtual

Get the box shape set.

## getType()

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleBoxEmitter::getType | ( |  | ) | const

inline virtual

Get emitter type.

Reimplemented from irr::scene::IParticleEmitter.

Definition at line 28 of file IParticleBoxEmitter.h.

References irr::scene::EPET_BOX.

## setBox()

virtual void irr::scene::IParticleBoxEmitter::setBox | ( | const core::aabbox3df & | box | ) |

pure virtual

Set the box shape.

The documentation for this class was generated from the following file:

- IParticleBoxEmitter.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0